#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long long int n,q;
    cin >> n >> q;
    vector<long long int> a(n);
    for(long long int i=0; i<n; i++)
    {
        cin >> a[i];

    }
    sort(a.begin(), a.end());
    long long int b;
    for(long long int i=0; i<q; i++)
    {
        cin >> b;
        if(b < a[0])
        {
            cout << n+1 << endl;
            continue;
        }
        else if(b > a[n-1])
        {
            cout << n << endl;
            continue;
        }
        else
        {
            auto l1 =  lower_bound(a.begin(), a.end(), b);
            auto pozicija = (l1-a.begin()) ;
            int m1 = pozicija;
            if(a[m1]!= b)
            {
                int broj_levih = m1;
                int broj_desnih = n-broj_levih;
                if(broj_desnih>=broj_levih)
                {
                    cout << abs(broj_desnih-broj_levih)+1 << endl;
                }
                else
                {
                    cout << abs(broj_desnih-broj_levih) << endl;
                }
            }
            else
            {
                int broj_levih = m1;
                int broj_desnih = n-broj_levih-1;
                auto u1 =  upper_bound(a.begin(), a.end(), b);
                auto pozicija2 = (u1-a.begin()) ;
                int m2 = pozicija2 - 1;
                if(m2 >= n/2 && m1 <= n/2)
                {
                    cout << 0 << endl;
                }
                else if(m2 < n/2)
                {
                    broj_levih = m2;
                    broj_desnih = n-m2-1;
                    cout << abs(broj_desnih-broj_levih) << endl;
                }
                else
                {

                    broj_levih = m1;

                    broj_desnih = n - m1 - 1;
                    cout << abs(broj_desnih-broj_levih)-1 << endl;
                }




            }

        }


    }


}